Kerbal Space Program - Bug #21063

Changing IVA camera resets reference transform
01/25/2019 11:00 PM - MOARdV

Status: Need More Info Start date: 01/25/2019
Severity: Low % Done: 0%
Assignee: victorr

Category: Plugins/Add-Ons

Target version:

Version: 1.6.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Prior to 1.6.0, RasterPropMonitor and MOARdV's Avionics Systems could use Vessel.SetReferenceTransform(Part) to change the
reference transform. This allows a player to select a Transform for docking purposes that does not align with the front of the vessel.
As long as the player did not leave the IVA mode, this transform remained intact.

With the 1.6.0 update (maybe tied to the changes required to support more than one reference transform on a part), this reference
transform is reset to the command pod as soon as the player presses 'V' to switch seats in IVA. The bug will not reproduce with a
stock KSP installation, since the stock IVA experience is minimal. | will happily provide links to the components and details required
to reproduce the issue if it will be addressed.

History

#1 - 11/08/2019 03:21 PM - victorr
- Status changed from New to Need More Info

- Assignee set to victorr

Please provide the additional details for reproduction that you mention, including a part list. We're happy to look into it. Thanks.

#2 - 11/08/2019 05:56 PM - MOARdV

victorr wrote:

Please provide the additional details for reproduction that you mention, including a part list. We're happy to look into it. Thanks.

It's been months since I've spent any time working on KSP modding, and | don't know where my detailed notes are for this bug. From what |
remember, it requires a multi-seat IVA that's been updated to use RPM or MAS, and it requires that IVA to have controls to switch the reference point
from the pod to a docking port. My notes on GitHub for the issue say that the issue repros when the player is in IVA view, and uses an RPM or MAS
control (a prop within IVA that has RPM or MAS functionality) to select a docking port for the vessel's reference transform. If the player then switches
seats in IVA using the 'V' key (default US keyboard to switch seats), the reference transform resets to the command pod.

The FASA Apollo IVA included in MOARdVPIus https:/github.com/MOARdV/MOARdVPIus has the correct IVA configuration to demonstrate the bug,
although | haven't checked to see if the bug is still present in KSP 1.7 or 1.8.

I'm sorry that | don't have time to see if the bug is still present, or to create a simple IVA that could demonstrate the bug.
